Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #499

Unexpected delay on track switching
January 15, 2015 09:36 - Maxim Khaberev
Target version:

Affects version: 3.5.2

Description

| got unexpected delays (about 1-2 seconds) during changing the tracks (mp3).

Steps to reproduce:

1. Start playback of some track.

Result: OK

2. Play another track by double-clicking in playlist or pressing "next" button or double-clicking in a file manager.
Result: the playback started after several seconds

However if there is no any track playing then the playback is started almost immediately. E.g.

1. Start playback of some track.

Result: OK

2. Press "Stop" button

Result: OK

3. Play another track by double-clicking in playlist or pressing "next" button or double-clicking in a file manager.
Result: the playback started immediately

Moreover

1. Start playback of some track.

Result: OK

2. Restart playback of the same track but double-clicking the entry in the list

Result: the playback restarted after several seconds

3. Make fast clicking on "Stop" and "Play" buttons in the Ul or use keyboard shortcuts
Result: the playback is stopped and started without delays

Running in verbose mode did not show any interesting info (from my point of view)

System Archlinux x86_64 up-to-date
Audacious version 3.5.2-2

History

#1 - January 15, 2015 11:31 - Maxim Khaberev

Reducing the buffer size from 2000ms to minimal value (100ms) fixes the issue.

Looks like the audacious does not clear the buffer during the track switching and plays all buffered content of the previous track before new track. Is it
expected behavior?

#2 - January 15, 2015 14:16 - John Lindgren

What output plugin are you using?

#3 - January 15, 2015 15:25 - Maxim Khaberev
PulseAudio

#4 - January 16, 2015 00:35 - John Lindgren
- Status changed from New to Rejected

This seems to be a known limitation of PulseAudio:
http://lists.freedesktop.org/archives/pulseaudio-discuss/2013-July/017929.html

If it bothers you, I'd suggest uninstalling PulseAudio and using straight ALSA.

#5 - January 16, 2015 07:27 - Maxim Khaberev

It looks very strange for me. | started using the Audacious (always with PulseAudio) several years ago but I've noticed the issue several days (weeks)
ago.
The discussion you presented is dated by July 2013 - so | believe that the | must see the issue earlier.

Anyway,
John, thanks for the info and your help. Lets keep the issue closed. I'll try to recall all my latest activity (reconfiguration, packets upgrades etc.) which
can be related to the issue and will reopen the ticket if necessary.

#6 - January 16, 2015 14:14 - John Lindgren

Older versions of Audacious wouldn't have had the problem when switching tracks, since we used to open a completely new audio stream, but you
would have still seen the problem when seeking, or so | would expect.
